Subject: [ITU+IETF] RE: [Enum] Re: Structure of DNS entry for ENUM

From: "Manfredi, Albert E" <[email-masked]>
Date: Fri, 4 Feb 2000 12:36:57 -0500

Jonathan Rosenberg [mailto:[email-masked]] wrote:

> You are presuming that the form in which the numbers are entered or
> accessed by users already has these dots. This means that when users
> enter numbers, they must know the numbering plan of the 
> country for the
> numbers they enter, or the software must know the numbering plan in
> order to place the dots into just a digit sequence entered by a user.
> Both of these are unworkable. End users cannot be expected to have to
> correctly enter the dots in phone numbers. Today, in the 
> PSTN, I do not
> need to enter in these separators. When I call Belarus, I enter
> "375172214841" after the international dial prefix (011). I 
> have NO IDEA
> what the breakdown of this number is.

Guys, look. Within the e.164 scheme, people have _never_ truly needed to
know the hierarchy. It is only there as a mnemonic aid, fundamentally. Which
only makes this problem easier, not harder.

If I give out my phone number as 1.703.4126735, a client elsewhere can use
that hierarchy, but he doesn't _have_ to. He can just dial the digits.

So if I write the DNS name as 1.703.4126735.e164.int, ultimately that number
will be used by a public phone system. The phone system, when it sees
e164.int, knows full well that the dots between the numbers are utterly
irrelevant anyway. They are there just as a mnemonic aid.

Perhaps it would help if we establish this simple rule within DNS servers:

For all names in the e.164.int domain, the dot symbols to the left of "e164"
are ignored if used.

Bert
[email-masked]

_______________________________________________
ITU+IETF mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/itu+ietf

---

From: Randy Bush <[email-masked]>
Date: Fri, 04 Feb 2000 09:39:42 -0800

> For all names in the e.164.int domain, the dot symbols to the left of "e164"

ROFL!

---

From: Randy Bush <[email-masked]>
Date: Fri, 04 Feb 2000 09:56:22 -0800

>> Perhaps it would help if we establish this simple rule within DNS
>> servers: For all names in the e.164.int domain, the dot symbols to the
>> left of "e164" are ignored if used.
> ROFL!

a friend pointed out that i could have been less terse. :-)

the first problem is that it would be exceedingly unlikely that dns protocol
folk would be at all sympathetic with special hacks for some specific domain
as there would soon be 1,000 specific donains that wanted special treatment.

but this does not even work for the one domain.  it directly implies that
the entire domain for all of planet earth is flat and in a single zone file.
this is the opposite of 'rational' as used in internet design.

randy